package com.docus.server.collect.web.common;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Data
@Component
public class DocusProperties {
    @Value("${docus.doctorsyscode:}")
    private String doctorsyscode;
    @Value("${docus.doctorassortid:}")
    private String doctorassortid;
    /**
     * 重症
     */
    @Value("${docus.lkzz.syscode:}")
    private String lkzzsyscode;
    @Value("${docus.lkzz.assortid:}")
    private String lkzzassortid;
    @Value("${docus.lkzz.url:}")
    private String lkzzurl;
    @Value("${docus.lkzz.reportname:}")
    private String lkzzreportname;
    /**
     * 0：默认,1:顺德
     */
    @Value("${docus.priority:0}")
    private String priority;

    /**
     * 队列生成方式：mq rabbitmq,redis
     */
    @Value("${docus.dispose.mode:redis}")
    private String mode;
    /**
     * 获取任务url
     */
    @Value("${docus.task.taskurl:}")
    private String taskurl;
    /**
     * 获取任务url
     */
    @Value("${docus.task.downurl:}")
    private String downurl;

    /**
     * 门急诊无视图采集
     */
    @Value("${docus.noviewoutcollectionjobcron:0 0 0 * * ?}")
    private String noviewoutcollectionjobcron;


    /**
     * 采集器失败重启
     */
    @Value("${docus.taskrestartjobcron:0 0/30 * * * ?}")
    private String taskrestartjobcron;


    /**
     * 农垦医嘱采集
     */
    @Value("${docus.collectaddbasicdatajobcron:0/5 * * * * ?}")
    private String collectaddbasicdatajobcron;


    /**
     * 农垦重症采集
     */
    @Value("${docus.collectlkzzjobcron:0 0/10 * * * ?}")
    private String collectlkzzjobcron;
    /**
     * 农垦重症未出院采集
     */
    @Value("${docus.collectlkzznotoutjobcron:0 0/30 * * * ?}")
    private String collectlkzznotoutjobcron;
    /**
     * 按需采集
     */
    @Value("${docus.collectionrequiretimedatajobcron:0 0/30 * * * ?}")
    private String collectionrequiretimedatajobcron;
    /**
     * 无视图采集
     */
    @Value("${docus.noviewcollectionjobcron:0 0 0 * * ?}")
    private String noviewcollectionjobcron;
    /**
     * 无视图补偿采集
     */
    @Value("${docus.collectionmakeupcron:0 0 0 * * ?}")
    private String collectionmakeupcron;
}
