package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchOperationLog;

import java.util.List;

/**
 * 采集调度器操作日志 数据访问接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchOperationLogDao extends IBaseDao<SchOperationLog> {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchOperationLog findById(String id);

    /**
     * 新增
     *
     * @param schOperationLog 新增参数
     * @return 成功或失败
     */
    boolean add(SchOperationLog schOperationLog);

    /**
     * 编辑
     *
     * @param schOperationLog 编辑参数
     * @return 成功或失败
     */
    boolean edit(SchOperationLog schOperationLog);

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    int delete(List<Long> ids);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchOperationLog> search(SearchDTO searchDTO);

}
