package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchTerminator;

import java.util.List;

/**
 * 执行管理器 数据访问接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchTerminatorDao extends IBaseDao<SchTerminator> {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchTerminator findById(String id);

    /**
     * 新增
     *
     * @param schTerminator 新增参数
     * @return 成功或失败
     */
    boolean add(SchTerminator schTerminator);

    /**
     * 编辑
     *
     * @param schTerminator 编辑参数
     * @return 成功或失败
     */
    boolean edit(SchTerminator schTerminator);

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    int delete(List<Long> ids);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchTerminator> search(SearchDTO searchDTO);

}
