package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrFileInfoApi;
import com.docus.server.dto.segmentation.ocrfileinfo.AddOcrFileInfoDTO;
import com.docus.server.dto.segmentation.ocrfileinfo.DeleteOcrFileInfoDTO;
import com.docus.server.dto.segmentation.ocrfileinfo.EditOcrFileInfoDTO;
import com.docus.server.service.IOcrFileInfoService;
import com.docus.server.vo.segmentation.ocrfileinfo.OcrFileInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr文件信息 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "ocr文件信息", tags = "ocr文件信息")
@RestController
public class OcrFileInfoController implements OcrFileInfoApi {
    @Resource
    private IOcrFileInfoService iOcrFileInfoService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrFileInfoVO findById(Long id) {
        return iOcrFileInfoService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrFileInfoVO> findAll() {
        return iOcrFileInfoService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrFileInfoVO> search(SearchDTO searchDTO) {
        return iOcrFileInfoService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrFileInfoDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrFileInfoDTO addOcrFileInfoDTO) {
        iOcrFileInfoService.add(addOcrFileInfoDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrFileInfoDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrFileInfoDTO editOcrFileInfoDTO) {
        iOcrFileInfoService.edit(editOcrFileInfoDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrFileInfoDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrFileInfoDTO deleteOcrFileInfoDTO) {
        return iOcrFileInfoService.delete(deleteOcrFileInfoDTO);
    }
}
