package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrbasictest.AddOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.DeleteOcrBasicTestDTO;
import com.docus.server.dto.segmentation.ocrbasictest.EditOcrBasicTestDTO;
import com.docus.server.vo.segmentation.ocrbasictest.OcrBasicTestVO;

import java.util.List;

/**
 * 患者信息表-调试 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrBasicTestService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrBasicTestVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrBasicTestVO> findAll();

    /**
     * 新增
     *
     * @param addOcrBasicTestDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrBasicTestDTO addOcrBasicTestDTO);

    /**
     * 编辑
     *
     * @param editOcrBasicTestDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrBasicTestDTO editOcrBasicTestDTO);

    /**
     * 新增或修改
     *
     * @param editOcrBasicTestDTO 编辑参数
     * @return 成功或失败
     */
    boolean saveOrUpdate(AddOcrBasicTestDTO editOcrBasicTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrBasicTestDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrBasicTestDTO deleteOcrBasicTestDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrBasicTestVO> search(SearchDTO searchDTO);
}
