package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrcutconfigtest.AddOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.DeleteOcrCutConfigTestDTO;
import com.docus.server.dto.segmentation.ocrcutconfigtest.EditOcrCutConfigTestDTO;
import com.docus.server.vo.segmentation.ocrcutconfigtest.OcrCutConfigTestVO;

import java.util.List;

/**
 * ocr图片剪切配置-调试 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrCutConfigTestService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrCutConfigTestVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrCutConfigTestVO> findAll();

    /**
     * 新增
     *
     * @param addOcrCutConfigTestDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrCutConfigTestDTO addOcrCutConfigTestDTO);

    /**
     * 编辑
     *
     * @param editOcrCutConfigTestDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrCutConfigTestDTO editOcrCutConfigTestDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrCutConfigTestDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrCutConfigTestDTO deleteOcrCutConfigTestDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrCutConfigTestVO> search(SearchDTO searchDTO);
}
