package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrrule.AddOcrRuleDTO;
import com.docus.server.dto.segmentation.ocrrule.DeleteOcrRuleDTO;
import com.docus.server.dto.segmentation.ocrrule.EditOcrRuleDTO;
import com.docus.server.vo.segmentation.ocrrule.OcrRuleVO;

import java.util.List;

/**
 * 匹配策略表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
public interface IOcrRuleService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrRuleVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrRuleVO> findAll();

    /**
     * 新增
     *
     * @param addOcrRuleDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrRuleDTO addOcrRuleDTO);

    /**
     * 编辑
     *
     * @param editOcrRuleDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrRuleDTO editOcrRuleDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrRuleDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrRuleDTO deleteOcrRuleDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrRuleVO> search(SearchDTO searchDTO);
}
