package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrspecialdetail.AddOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.DeleteOcrSpecialDetailDTO;
import com.docus.server.dto.segmentation.ocrspecialdetail.EditOcrSpecialDetailDTO;
import com.docus.server.vo.segmentation.ocrspecialdetail.OcrSpecialDetailVO;

import java.util.List;

/**
 * 特殊规则详情 服务接口
 *
 * @author AutoGenerator
 * @since 2023-08-25
 */
public interface IOcrSpecialDetailService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    OcrSpecialDetailVO findById(Long id);

    /**
     * 查询所有
     *
     * @return 实体
     */
    List<OcrSpecialDetailVO> findAll();

    /**
     * 新增
     *
     * @param addOcrSpecialDetailDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddOcrSpecialDetailDTO addOcrSpecialDetailDTO);

    /**
     * 编辑
     *
     * @param editOcrSpecialDetailDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditOcrSpecialDetailDTO editOcrSpecialDetailDTO);

    /**
     * 批量删除
     *
     * @param deleteOcrSpecialDetailDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteOcrSpecialDetailDTO deleteOcrSpecialDetailDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<OcrSpecialDetailVO> search(SearchDTO searchDTO);
}
