package com.docus.server.service.impl;

import com.docus.infrastructure.redis.service.IdService;
import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.OcrUrlConfigTestConvert;
import com.docus.server.dto.segmentation.ocrurlconfigtest.AddOcrUrlConfigTestDTO;
import com.docus.server.dto.segmentation.ocrurlconfigtest.DeleteOcrUrlConfigTestDTO;
import com.docus.server.dto.segmentation.ocrurlconfigtest.EditOcrUrlConfigTestDTO;
import com.docus.server.entity.segmentation.OcrUrlConfigTest;
import com.docus.server.infrastructure.dao.IOcrUrlConfigTestDao;
import com.docus.server.service.IOcrUrlConfigTestService;
import com.docus.server.vo.segmentation.ocrurlconfigtest.OcrUrlConfigTestVO;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * ocr路径配置表-调试 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Service
public class OcrUrlConfigTestServiceImpl implements IOcrUrlConfigTestService {
    @Resource
    private IOcrUrlConfigTestDao iOcrUrlConfigTestDao;
    @Resource
    private IdService idService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public OcrUrlConfigTestVO findById(Long id) {
        return OcrUrlConfigTestConvert.INSTANCE.convertVO(iOcrUrlConfigTestDao.findById(id));
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @Override
    public List<OcrUrlConfigTestVO> findAll() {
        return OcrUrlConfigTestConvert.INSTANCE.convertVO(iOcrUrlConfigTestDao.findAll());
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<OcrUrlConfigTestVO> search(SearchDTO searchDTO) {
        return OcrUrlConfigTestConvert.INSTANCE.convertVO(iOcrUrlConfigTestDao.search(searchDTO));

        //PageResult<OcrUrlConfigTestVO> result = OcrUrlConfigTestConvert.INSTANCE.convertVO(iOcrUrlConfigTestDao.search(searchDTO));

        //if (CollectionUtils.isEmpty(result.getList())) {
        //return new PageResult<>();
        //}

        //Map<String, SchSystemParams> map = iSchSystemParamsService.find(ListUtils.distinctSelect(result.getList(), SchCollectorVO::getCollectorId));

        //result.getList().forEach(p -> {
        // String collectorId = String.valueOf(p.getCollectorId());
        // if (map.containsKey(collectorId)) {
        //     p.setCollectorName(map.get(collectorId).getParamName());
        // }
        //});

        //return result;
    }

    /**
     * 新增
     *
     * @param addOcrUrlConfigTestDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean add(AddOcrUrlConfigTestDTO addOcrUrlConfigTestDTO) {
        OcrUrlConfigTest ocrUrlConfigTest = OcrUrlConfigTestConvert.INSTANCE.convertDO(addOcrUrlConfigTestDTO);
        ocrUrlConfigTest.setId(idService.getDateSeq());
        return iOcrUrlConfigTestDao.add(ocrUrlConfigTest);

        // String name = addOcrUrlConfigTestDTO.getName();

        //OcrUrlConfigTest ocrUrlConfigTest = iOcrUrlConfigTestDao.findOneBy("name", name);

        //if (Func.notNull(ocrUrlConfigTest)) {
        // throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "ocr路径配置表-调试已经存在");
        // }

        // OcrUrlConfigTest ocrUrlConfigTest =OcrUrlConfigTestConvert.INSTANCE.convertDO(addOcrUrlConfigTestDTO);
        // ocrUrlConfigTest.setId(idService.getDateSeq());

        // return iOcrUrlConfigTestDao.add(schCollector);

    }

    /**
     * 编辑
     *
     * @param editOcrUrlConfigTestDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean edit(EditOcrUrlConfigTestDTO editOcrUrlConfigTestDTO) {
        OcrUrlConfigTest ocrUrlConfigTest = OcrUrlConfigTestConvert.INSTANCE.convertDO(editOcrUrlConfigTestDTO);
        return iOcrUrlConfigTestDao.edit(ocrUrlConfigTest);

        // Long id = editOcrUrlConfigTestDTO.getId();

        //  OcrUrlConfigTest ocrUrlConfigTest = iOcrUrlConfigTestDao.findById(id);

        // if (Func.isNull(ocrUrlConfigTest)) {
        //     throw new ApiException(ExceptionCode.ParamIllegal.getCode(), "ocr路径配置表-调试，无法更新！");
        // }

        // ocrUrlConfigTest.setUpdateTime(LocalDateTime.now());
        // return iOcrUrlConfigTestDao.edit(ocrUrlConfigTest);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrUrlConfigTestDTO 删除参数
     * @return 成功或失败
     */
    @Override
    public int delete(DeleteOcrUrlConfigTestDTO deleteOcrUrlConfigTestDTO) {
        return iOcrUrlConfigTestDao.delete(deleteOcrUrlConfigTestDTO.getIds());
    }
}

